%global sname pyghmi

Summary: Python General Hardware Management Initiative (IPMI and others)
Name:    python-%{sname}
Version: 1.5.63
Release: 1%{?dist}
License: ASL 2.0
Url: https://opendev.org/x/pyghmi
Source0: https://tarballs.opendev.org/x/%{sname}/%{sname}-%{version}.tar.gz

# we remove require to python3-pbr by these two patch
Patch3000:  nopbr.patch
Patch3001:  setup.patch

BuildArch: noarch

%description
This is a pure Python implementation of IPMI protocol.

The included pyghmicons and pyghmiutil scripts demonstrate how one may incorporate the pyghmi
library into a Python application.

%package -n python3-%{sname}
Summary: Python General Hardware Management Initiative (IPMI and others)

BuildRequires: python3-devel python3-setuptools
Requires: python3-cryptography python3-six python3-dateutil

%description -n python3-%{sname}
This is a pure Python implementation of IPMI protocol.

The included pyghmicons and pyghmiutil scripts demonstrate how one may incorporate the pyghmi
library into a Python application.

%package -n python3-%{sname}-tests
Summary: Python General Hardware Management Initiative (IPMI and others)
Requires: python3-%{sname} = %{version}-%{release}

%description -n python3-%{sname}-tests
This is a pure Python implementation of IPMI protocol.

The included pyghmicons and pyghmiutil scripts demonstrate how one may incorporate the pyghmi
library into a Python application.

Tests for the pyghmi library

%prep
%autosetup -n %{sname}-%{version} -p1

sed -i 's/python-dateutil.*/python-dateutil>=2.6.1/' requirements.txt
sed -i s/@@REDHATVERSION@@/%{version}/ pyghmi/version.py
sed -e "s/#VERSION#/%{version}/" setup.py.tmpl > setup.py

%build
%py3_build

%install
%py3_install

pushd %{buildroot}/%{_bindir}
mv pyghmicons pyghmicons-%{python3_version}
ln -s pyghmicons-%{python3_version} pyghmicons-3
ln -s pyghmicons-3 pyghmicons
mv pyghmiutil pyghmiutil-%{python3_version}
ln -s pyghmiutil-%{python3_version} pyghmiutil-3
ln -s pyghmiutil-3 pyghmiutil
mv virshbmc virshbmc-%{python3_version}
ln -s virshbmc-%{python3_version} virshbmc-3
ln -s virshbmc-3 virshbmc
popd

%files -n python3-%{sname}
%license LICENSE
%{_bindir}/pyghmicons*
%{_bindir}/pyghmiutil*
%{_bindir}/virshbmc*
%{_bindir}/fakebmc
%{python3_sitelib}/%{sname}
%{python3_sitelib}/%{sname}-*.egg-info
%exclude %{python3_sitelib}/%{sname}/tests

%files -n python3-%{sname}-tests
%license LICENSE
%{python3_sitelib}/%{sname}/tests

%changelog
* Mon Sep 25 2023 Shuo Wang <abushwang@tencent.com> - 1.5.63-1
- update to 1.5.63

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.34-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.34-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jul 11 2023 Shuo Wang <abushwang@tencent.com> - 1.5.34-1
- update to 1.5.34

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.29-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.29-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 16 2023 Shuo Wang <abushwang@tencent.com> - 1.5.29-1
- initial build
